# Class SegmentLoadStartEvent

#### Hierarchy

- SegmentEvent
  - SegmentLoadStartEvent

#####
Index

### Constructors

constructor

### Properties

segmentInfo
type

## Constructors

### constructor

- new SegmentLoadStartEvent(segmentInfo): SegmentLoadStartEvent

- #### Parameters

  - segmentInfo: SegmentInfo

  #### Returns SegmentLoadStartEvent

  Inherited from SegmentEvent.constructor

## Properties

### `Readonly` segmentInfo

segmentInfo: SegmentInfo

Inherited from SegmentEvent.segmentInfo

### `Readonly` type

type: "segmentloadstart" = Events.SegmentLoadStart

Overrides SegmentEvent.type